# classes/phing/tasks/ext/phpdoc/PhpDocumentorTask.php

## \PhpDocumentorTask
jump to top

Task to run PhpDocumentor.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Hans Lellelid
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.phpdoc
version
  $Id: PhpDocumentorTask.php 1101 2011-05-18 17:49:55Z mrook $

### Properties

`\PhingFile $configDir= ''`

Directory in which to look for configuration files.
Details

Type
  \PhingFile

`string $customtags= ''`

custom tags, will be recognized and put in tags[] instead of unknowntags[].
Details

Type
  string

`string $defaultCategoryName= ''`

Default category name.
Details

Type
  string

`string $defaultPackageName= ''`

Default package name.
Details

Type
  string

`\PhingFile $destdir= ''`

The target directory for output files.
Details

Type
  \PhingFile

`\PhingFile $examplesDir= ''`

Directory in which to look for examples.
Details

Type
  \PhingFile

`array $filesets= 'array'`

FileSet[] Filesets for files to parse.
Default value `array` Details

Type
  array

`string $ignore= ''`

files to ignore
Details

Type
  string

`string $ignoreTags= ''`

Comma-separated list of tags to ignore.
Details

Type
  string

`boolean $javadocDesc= 'false'`

Whether to use javadoc descriptions (more primitive).
Default value `false` Details

Type
  boolean

`boolean $linksource= 'false'`

Whether to generate sourcecode for each file parsed.
Default value `false` Details

Type
  boolean

`string $output= ''`

Package output format.
Details

Type
  string

`string $packages= ''`

Comma-separated list of packages to output.
Details

Type
  string

`boolean $parsePrivate= 'false'`

Whether to parse private members.
Default value `false` Details

Type
  boolean

`boolean $pear= 'false'`

Whether to parse as a PEAR repository.
Default value `false` Details

Type
  boolean

`array $projDocFilesets= 'array'`

FileSet[] Project documentation (README/INSTALL/CHANGELOG) files.
Default value `array` Details

Type
  array

`boolean $quiet= 'false'`

Wheter to suppress output.
Default value `false` Details

Type
  boolean

`\PhingFile $templateBase= ''`

Base directory for locating template files.
Details

Type
  \PhingFile

`string $title= ''`

Title for browser window / package index.
Details

Type
  string

`boolean $undocumentedelements= 'false'`

Control whether or not warnings will be shown for undocumented elements. Useful for identifying classes and methods that haven't yet been documented.
Default value `false` Details

Type
  boolean

### Methods

`createFileset( ) : \FileSet`
Creates a FileSet.
Returns

Type | Description
--- | ---
\FileSet |

`createProjdocfileset( ) : \FileSet`
Creates a readme/install/changelog fileset.
Returns

Type | Description
--- | ---
\FileSet |

`findPhpDocumentorInstall( ) :`
Searches include_path for PhpDocumentor install and adjusts include_path appropriately.
Details

throws
  - if unable to find PhpDocumentor on include_path

`main( ) :`
Main entrypoint of the task Loads the necessary environment for running PhpDoc, then runs PhpDoc
Details

throws
  - if the phpdoc classes can't be loaded.

`setConfigdir( \PhingFile $d ) :`
Set a directory to search for configuration files in.
Parameters

Name | Type | Description
--- | --- | ---
$d | \PhingFile |

`setCustomtags( string $sCustomtags ) :`
custom tags, will be recognized and put in tags[] instead of unknowntags[].
Parameters

Name | Type | Description
--- | --- | ---
$sCustomtags | string |

`setDefaultcategoryname( string $name ) :`
Sets the default category name.
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`setDefaultpackagename( string $name ) :`
Sets the default package name.
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

`setDestdir( $destdir ) :`
Set the destination directory for the generated documentation
Parameters

Name | Type | Description
--- | --- | ---
$destdir |  |

`setExamplesdir( \PhingFile $d ) :`
Set a directory to search for examples in.
Parameters

Name | Type | Description
--- | --- | ---
$d | \PhingFile |

`setIgnore( string $sIgnore ) :`
Set files to ignore
Parameters

Name | Type | Description
--- | --- | ---
$sIgnore | string |

`setIgnoretags( string $tags ) :`
Set (comma-separated) list of tags to ignore.
Parameters

Name | Type | Description
--- | --- | ---
$tags | string |

`setJavadocdesc( $javadoc ) :`
Whether to use javadoc descriptions (more primitive).
Parameters

Name | Type | Description
--- | --- | ---
$javadoc |  | boolean

`setLinksource( $b ) :`
Set whether to generate sourcecode for each file parsed
Parameters

Name | Type | Description
--- | --- | ---
$b |  | boolean

`setOutput( string $output ) :`
Set the output format (e.g. HTML:Smarty:PHP).
Parameters

Name | Type | Description
--- | --- | ---
$output | string |

`setPackageoutput( string $packages ) :`
Set (comma-separated) list of packages to output.
Parameters

Name | Type | Description
--- | --- | ---
$packages | string |

`setParseprivate( $parseprivate ) :`
Should private members/classes be documented
Parameters

Name | Type | Description
--- | --- | ---
$parseprivate |  | boolean

`setPear( boolean $b ) :`
Set whether to parse as PEAR repository.
Parameters

Name | Type | Description
--- | --- | ---
$b | boolean |

`setPhpDocumentorOptions( \PhingPhpDocumentorSetup $phpdoc ) :`
Sets the options on the passed-in phpdoc setup object.
Parameters

Name | Type | Description
--- | --- | ---
$phpdoc | \PhingPhpDocumentorSetup |

`setQuiet( boolean $b ) :`
Set whether to suppress output.
Parameters

Name | Type | Description
--- | --- | ---
$b | boolean |

`setSourcecode( $b ) :`
Set whether to generate sourcecode for each file parsed
Parameters

Name | Type | Description
--- | --- | ---
$b |  | boolean

`setTarget( $destdir ) :`
Alias for {@link setDestdir()}.
Parameters

Name | Type | Description
--- | --- | ---
$destdir |  |

Details

see
  \setDestdir()

`setTemplateBase( $oTemplateBase ) :`
Set base location of all templates for this parse.
Parameters

Name | Type | Description
--- | --- | ---
$oTemplateBase |  |

`setTitle( $title ) :`
Set the title for the generated documentation
Parameters

Name | Type | Description
--- | --- | ---
$title |  |

`setUndocumentedelements( boolean $b ) :`
Control whether or not warnings will be shown for undocumented elements.

Useful for identifying classes and methods that haven't yet been documented.

Parameters

Name | Type | Description
--- | --- | ---
$b | boolean |

`validate( ) :`
Validates that necessary minimum options have been set.
Details

throws
  if validation doesn't pass

Documentation was generated by DocBlox 0.13.1.